%if 0%{?el7}
%define dist .el7
%endif

%define debug_package %{nil}

Name:           decklink
Version:        10.11.4
Release:        1%{?dist}
Summary:        Blackmagic DeckLink SDK

Group:          System Environment/Libraries
License:        Blackmagic Design
URL:            http://www.blackmagicdesign.com/
# To download, register and must be manual download
# https://www.blackmagicdesign.com/support/
#Source0:        http://sw.blackmagicdesign.com/DeckLink/v%%{version}/Blackmagic_DeckLink_SDK_%%{version}.zip
Source0:		Blackmagic_DeckLink_SDK_%{version}.zip
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
%{summary}.

%prep
%setup -q -n "Blackmagic DeckLink SDK %{version}"


%build
# nothing to do


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_includedir}
pushd Linux/include
cp -p * $RPM_BUILD_ROOT%{_includedir}/


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc *.pdf *.rtf
%{_includedir}/*


%changelog
* Sun Nov 11 2018 momo-i <webmaster@momo-i.org> - 10.11.4-1
- Update to 10.11.4

* Mon Oct 31 2016 momo-i <webmaster@momo-i.org> - 10.8-1
- Update to 10.8

* Fri Mar 04 2016 momo-i <webmaster@momo-i.org> - 10.4-4
- Do not build debug package

* Thu Sep 03 2015 momo-i <webmaster@momo-i.org> - 10.4-3
- Update dist for centos7

* Mon Aug 10 2015 momo-i <webmaster@momo-i.org> - 10.4-2
- Rebuilt for fc23

* Fri Apr 17 2015 momo-i <webmaster@momo-i.org> - 10.4-1
- Rebuilt for fc22
- Update to 1.04

* Thu Nov 13 2014 momo-i <webmaster@momo-i.org> - 10.1.4-1
- Update 10.1.4

* Mon Mar 24 2014 momo-i <webmaster@momo-i.org> - 10.0-1
- Initial rpm release.
